"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var api_1 = require("../../api");
function useHover(element) {
    var isHovered = api_1.ref(false);
    var mouseEnterHandler = function () {
        isHovered.value = true;
    };
    var mouseLeaveHandler = function () {
        isHovered.value = false;
    };
    api_1.onMounted(function () {
        if (!element.value)
            return;
        element.value.addEventListener('mouseenter', mouseEnterHandler);
        element.value.addEventListener('mouseleave', mouseLeaveHandler);
    });
    api_1.onUnmounted(function () {
        if (!element.value)
            return;
        element.value.removeEventListener('mouseenter', mouseEnterHandler);
        element.value.removeEventListener('mouseleave', mouseLeaveHandler);
    });
    return isHovered;
}
exports.useHover = useHover;
